# SPDX-FileCopyrightText: 2024 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{
  services.nginx.virtualHosts = {
    "brennende.autos" = {
      enableACME = true;
      forceSSL = true;

      locations."~ .*".return = "303 'https://iv.sbruder.xyz/watch?v=ojToYs6nCnk&t=1684'";
    };
    "www.brennende.autos" = {
      enableACME = true;
      forceSSL = true;

      globalRedirect = "https://brennende.autos/";
    };
  };

  sbruder.static-webserver.vhosts = {
    "psycho-power-papagei.de" = {
      user.name = "papagei";
      imprint.enable = true;
    };

    "salespointframework.org" = {
      redirects = [
        "www.salespointframework.org"
        "salespointframe.work"
        "www.salespointframe.work"
        "verkaufspunktrahmenwerk.de"
        "www.verkaufspunktrahmenwerk.de"
        "verkaufspuntrahmenwerk.de"
        "www.verkaufspuntrahmenwerk.de"
      ];
      user.name = "salespoint";
    };
  };
}
